List Active Jobs by Zone
List all active encoding jobs for a specific zone.
curl -X GET "https://api.5centscdn.com/v2/transcoding/jobs/15" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY"
import requests
import json
url = "https://api.5centscdn.com/v2/transcoding/jobs/15"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/transcoding/jobs/15", {
method: "GET",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.5centscdn.com/v2/transcoding/jobs/15", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/transcoding/jobs/15')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
[
{
"id": 6643,
"jobid": "1346186",
"profileid": "1",
"infile": "/sample-video.mp4",
"outfile": "/mp4/sample-video_720p.mp4",
"percent": "100",
"log": "",
"error": "",
"created_at": "2026-04-26 17:54:34",
"updated_at": "2026-04-26 17:57:29",
"timings": {
"process": {
"start": "1777226080001",
"end": "1777226249617"
},
"infile": {
"check": {
"start": "1777226080073",
"end": "1777226081293"
},
"probe": {
"start": "1777226081293",
"end": "1777226083693"
}
},
"download": {
"start": "1777226083767",
"end": "1777226087759"
},
"encoder": {
"start": "1777226087832",
"end": "1777226249331"
},
"outfile": {
"check": {},
"probe": {
"start": "1777226249331",
"end": "1777226249367"
},
"segment": {}
},
"thumbs": {
"process": {}
},
"upload": {
"start": "1777226249579",
"end": "1777226249606"
}
},
"profile": "720p"
}
]
/transcoding/jobs/{zoneId}Target server for requests. Edit to use your own host.
API key (sent in header)
ID of the Push Zone (fs_pushzones.id).
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Provide your API key in the header.
Path Parameters
Responses
Unique stream or record identifier.
Unique identifier of the encoding job.
Transcoding profile identifier used for this job.
Input file relative path.
Output file relative path.
Encoding completion percentage (0-100).
Encoder process log output.
Error message if the encoding job failed.
Timestamp when this record was created.
Timestamp when this record was last updated.
Timing breakdown for each stage of the encoding pipeline.
Codec or encoder profile name.